=pod

=head1 NAME

OSSL_GENERAL_NAMES_print - print GeneralNames in a human-friendly, multi-line
string

=head1 SYNOPSIS

 #include <openssl/x509v3.h>

 int OSSL_GENERAL_NAMES_print(BIO *out, GENERAL_NAMES *gens, int indent);

=head1 DESCRIPTION

OSSL_GENERAL_NAMES_print() prints a human readable version of the GeneralNames
I<gens> to BIO I<out>. Each line is indented by I<indent> spaces.

=head1 RETURN VALUES

OSSL_GENERAL_NAMES_print() always returns 1.

=head1 HISTORY

The functions described here were all added in OpenSSL 3.4.

=head1 COPYRIGHT

Copyright 2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License").  You may not use
this file except in compliance with the License.  You can obtain a copy
in the file LICENSE in the source distribution or at
L<https://www.openssl.org/source/license.html>.

=cut
